# Tick function, mostly used for item detection.

# Detects shears thrown at armor stand to trigger leaving team.
execute at @e[type=item,nbt={Item:{id:"minecraft:shears"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @p run function vanillafactions:leave

# Detects dye thrown at armor stand to trigger colorization.
execute at @e[type=item,nbt={Item:{id:"minecraft:red_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorred
execute at @e[type=item,nbt={Item:{id:"minecraft:blue_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorblue
execute at @e[type=item,nbt={Item:{id:"minecraft:cyan_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorcyan
execute at @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorgray
execute at @e[type=item,nbt={Item:{id:"minecraft:lime_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorlime
execute at @e[type=item,nbt={Item:{id:"minecraft:pink_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorpink
execute at @e[type=item,nbt={Item:{id:"minecraft:black_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorblack
execute at @e[type=item,nbt={Item:{id:"minecraft:brown_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorgold
execute at @e[type=item,nbt={Item:{id:"minecraft:green_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorgreen
execute at @e[type=item,nbt={Item:{id:"minecraft:white_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorwhite
execute at @e[type=item,nbt={Item:{id:"minecraft:orange_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorgold
execute at @e[type=item,nbt={Item:{id:"minecraft:purple_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorpurple
execute at @e[type=item,nbt={Item:{id:"minecraft:yellow_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:coloryellow
execute at @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colormagenta
execute at @e[type=item,nbt={Item:{id:"minecraft:light_blue_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:coloraqua
execute at @e[type=item,nbt={Item:{id:"minecraft:light_gray_dye"}}] if data entity @n[type=armor_stand,distance=..1] Tags as @n[type=armor_stand] run function vanillafactions:colorlightgray

# Detects nametag thrown at armor stand to trigger prefix customization.
execute at @e[type=item,nbt={Item:{id:"minecraft:name_tag"}}] if data entity @n[type=armor_stand,distance=..1] Tags run function vanillafactions:prefix

# Detects if banner has been destroyed, and thus removes team.
execute as @e[type=armor_stand] at @s if data entity @s Tags unless block ~ ~ ~ #banners run function vanillafactions:destroy